﻿using System.Collections.Generic;

namespace IMCS.Device
{
    public class RequestBody
    { 
        public string UserName
        { get; set; }

        public string Password
        { get; set; }

        public string ServerUrl
        { get; set; }

        public string Type
        { get; set; }

        public string Path
        { get; set; }

        public List<string> Addresses
        { get; set; } = new List<string>();

        public List<string> Values
        { get; set; }
    }

    /// <summary>
    /// 类型名称
    /// </summary>
    public enum ActionTypeEnum
    {
        Connect,
        Write,
        Read,
        ToolList,
        Collect,
        Upload,
        SelectNc,
        StartNcProgram
    }
 }
